Skip to main content

Update Resident: Propertyware REST

PUThttps://api.propexo.com/v1/residents/propertyware_rest/:resident_id
MethodInterface
PUT /v1/contactsContacts

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

resident_id stringrequired

The Propexo unique identifier for the resident

Request​

This endpoint expects an object.

    first_namestring

    The first name associated with the resident

    Possible values: <= 30 characters

    middle_namestring

    The middle name associated with the resident

    Possible values: <= 30 characters

    last_namestring

    The last name associated with the resident

    Possible values: <= 30 characters

    email_1string<email>

    The primary email address associated with the resident

    email_2string<email>

    The secondary email address associated with the resident

    date_of_birthstring<date-time>

    The date of birth associated with the resident

    address_1string

    The first address line associated with the resident

    address_2string

    The second address line associated with the resident

    citystring

    The city associated with the resident

    statestring

    The state associated with the resident

    zipstring

    The zip code associated with the resident

    countrystring

    The country associated with the resident

    Show 2 variants
    • stringUnited StatesCanada
    • string
    phone_1string

    Primary phone number associated with the resident

    phone_1_typestring

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_2string

    Secondary phone number associated with the resident

    phone_2_typestring

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    notesstring

    Notes associated with the resident

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    resident_idstringrequired

    The Propexo unique identifier for the resident

    first_namestring

    The first name associated with the resident

    Possible values: <= 30 characters

    middle_namestring

    The middle name associated with the resident

    Possible values: <= 30 characters

    last_namestring

    The last name associated with the resident

    Possible values: <= 30 characters

    email_1string<email>

    The primary email address associated with the resident

    email_2string<email>

    The secondary email address associated with the resident

    date_of_birthstring<date-time>

    The date of birth associated with the resident

    address_1string

    The first address line associated with the resident

    address_2string

    The second address line associated with the resident

    citystring

    The city associated with the resident

    statestring

    The state associated with the resident

    zipstring

    The zip code associated with the resident

    countrystring

    The country associated with the resident

    Show 2 variants
    • stringUnited StatesCanada
    • string
    phone_1string

    Primary phone number associated with the resident

    phone_1_typestring

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_2string

    Secondary phone number associated with the resident

    phone_2_typestring

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    notesstring

    Notes associated with the resident

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/residents/propertyware_rest/:resident_id
curl -X PUT https://api.propexo.com/v1/residents/propertyware_rest/:resident_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"email_1": "[email protected]",
"email_2": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "United States",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"notes": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"resident_id": "string",
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"email_1": "[email protected]",
"email_2": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "United States",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"notes": "string"
}
}